<?php
namespace Teknisa\MAN\Controllers;

use Zeedhi\Framework\Controller\Crud;
use Zeedhi\Framework\DTO;

class Setor extends Crud {
    
    const SETOR_DS = "BuscaSetorCrud",
          SETOR_ONLY_PROD_DS = "BuscaSetorProdCrud";
    
    
    public function find (DTO\Request\Filter $request, DTO\Response $response) {
        $this->dataSourceName = self::SETOR_DS;
        parent::find($request, $response);
    }
    
    public function findOnlyProduction (DTO\Request\Filter $request, DTO\Response $response) {
        $this->dataSourceName = self::SETOR_ONLY_PROD_DS;
        parent::find($request, $response);
    }
}